<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: /home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fb_2models_8py_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">models.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="fb_2models_8py.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1fb_1_1models.html">    1</a></span>&#160;<span class="comment"># !/usr/bin/python3</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"># coding: utf-8</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"># Copyright 2017 Stefano Fogarollo</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"># Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"># you may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"># You may obtain a copy of the License at</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"># http://www.apache.org/licenses/LICENSE-2.0</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"># Unless required by applicable law or agreed to in writing, software</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"># distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"># WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"># See the License for the specific language governing permissions and</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"># limitations under the License.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">import</span> datetime</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">import</span> json</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">import</span> facebook</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">import</span> requests</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">from</span> pyspottedunipd <span class="keyword">import</span> utils</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html">FacebookGraphApi</a>(object):</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="stringliteral">&quot;&quot;&quot; The official Facebook graph API driver (parser, scraper ...) &quot;&quot;&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a6627a7dd6eec32651e75798ab9e5e55b">   31</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a6627a7dd6eec32651e75798ab9e5e55b">__init__</a>(self, token):</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        object.__init__(self)</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">   34</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">token</a> = str(token)</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    @staticmethod</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9901b00a439222ccf96fbf91d27d4a33">   37</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9901b00a439222ccf96fbf91d27d4a33">get_api_url</a>(version=&quot;2.8&quot;):</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="stringliteral">        :param version: str</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="stringliteral">            Version of API to use</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="stringliteral">        :return: str</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="stringliteral">            Url of graph API</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="keywordflow">return</span> <span class="stringliteral">&quot;https://graph.facebook.com/&quot;</span> + <span class="stringliteral">&quot;v&quot;</span> + str(version) + <span class="stringliteral">&quot;/&quot;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    @staticmethod</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9932ec50b92cd5c123cc73bd38c1584b">   48</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9932ec50b92cd5c123cc73bd38c1584b">parse_api_response</a>(url):</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="stringliteral">        :param url: str</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="stringliteral">            Url to fetch</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="stringliteral">        :return: json loaded</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="stringliteral">            Response json-parsed</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        response = requests.get(url)</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="keywordflow">return</span> json.loads(response.text)</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a32ae10d5a9d99a53f4b7b5da877d0446">   59</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a32ae10d5a9d99a53f4b7b5da877d0446">get_api_driver</a>(self, version=&quot;2.7&quot;):</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="stringliteral">        :param version: str</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="stringliteral">            Version of API to use</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="stringliteral">        :return: GraphAPI</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="stringliteral">            Facebook API driver</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keywordflow">return</span> facebook.GraphAPI(access_token=self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">token</a>, version=version)</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#ab365864c35ba403da5cef6b985da164b">   69</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#ab365864c35ba403da5cef6b985da164b">get_page_posts_url</a>(self, page_id):</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="stringliteral">        :param page_id: str</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="stringliteral">            ID of page to scrape</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="stringliteral">        :return: str</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="stringliteral">            Url of posts of page</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <span class="keywordflow">return</span> self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9901b00a439222ccf96fbf91d27d4a33">get_api_url</a>() + str(page_id) + <span class="stringliteral">&quot;/posts?limit=100&amp;access_token=&quot;</span> + self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">token</a></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#aa3458c477bb0c0be988eb3a60a2bac88">   79</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#aa3458c477bb0c0be988eb3a60a2bac88">get_post_summary_urls</a>(self, post_id):</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="stringliteral">        :param post_id: str</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="stringliteral">            ID if post</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="stringliteral">        :return: {} with keys &#39;likes&#39;, &#39;comments&#39;</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="stringliteral">            Urls to get info about key</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        likes = self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9901b00a439222ccf96fbf91d27d4a33">get_api_url</a>() + str(post_id) + <span class="stringliteral">&quot;/likes?summary=1&amp;access_token=&quot;</span> + self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">token</a></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        comments = self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9901b00a439222ccf96fbf91d27d4a33">get_api_url</a>() + str(post_id) + <span class="stringliteral">&quot;/comments?summary=1&amp;access_token=&quot;</span> + self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">token</a></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        shares = self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9901b00a439222ccf96fbf91d27d4a33">get_api_url</a>() + str(post_id) + <span class="stringliteral">&quot;?fields=shares&amp;summary=1&amp;access_token=&quot;</span> + self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">token</a></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        <span class="keywordflow">return</span> {</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <span class="stringliteral">&quot;likes&quot;</span>: likes,</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            <span class="stringliteral">&quot;comments&quot;</span>: comments,</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            <span class="stringliteral">&quot;shares&quot;</span>: shares</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        }</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html">   97</a></span>&#160;<span class="keyword">class </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html">FacebookBot</a>(object):</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="stringliteral">&quot;&quot;&quot; A bot that scrapes Facebook with a authentication token &quot;&quot;&quot;</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a9aa8f06dfce6734f430e70477b4c6e8b">  100</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a9aa8f06dfce6734f430e70477b4c6e8b">__init__</a>(self, token):</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="stringliteral">        :param token: str</span></div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="stringliteral">            Token to use Facebook API</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        object.__init__(self)</div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a95dc6383ba048c6404eaf5358a11b57e">  107</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a95dc6383ba048c6404eaf5358a11b57e">token</a> = str(token)</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a723a55e3dedece9b7800cd0aaf12acd7">  108</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a723a55e3dedece9b7800cd0aaf12acd7">api</a> = <a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html">FacebookGraphApi</a>(self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a95dc6383ba048c6404eaf5358a11b57e">token</a>)</div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a3857b4ed1eab23cf1005665d92cf0448">  109</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a3857b4ed1eab23cf1005665d92cf0448">graph</a> = self.api.get_api_driver()</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a84bbc98341ead3cb11aebf0e0b5b32a5">  111</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a84bbc98341ead3cb11aebf0e0b5b32a5">get_latest_posts_of_page</a>(self, page_id, number_to_fetch):</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="stringliteral">        :param page_id: str</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="stringliteral">            ID of page to scrape</span></div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="stringliteral">        :param number_to_fetch: int</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="stringliteral">            Minimum number of posts to fetch</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="stringliteral">        :return: [] of str in json format</span></div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="stringliteral">            Each dict is a raw post (straight out of the API)</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        raw_posts = []  <span class="comment"># list of raw fetched posts</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        url = self.api.get_page_posts_url(page_id)  <span class="comment"># url to get API content</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        <span class="keywordflow">while</span> len(raw_posts) &lt; number_to_fetch <span class="keywordflow">and</span> url <span class="keywordflow">is</span> <span class="keywordflow">not</span> <span class="keywordtype">None</span>:</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;            print(<span class="stringliteral">&quot;Fetched&quot;</span>, len(raw_posts), <span class="stringliteral">&quot;posts&quot;</span>)  <span class="comment"># debug info</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;            reponse = self.api.parse_api_response(url)  <span class="comment"># read and parse raw response</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;            <span class="keywordflow">try</span>:  <span class="comment"># parse next url to get posts</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;                url = reponse[<span class="stringliteral">&quot;paging&quot;</span>][<span class="stringliteral">&quot;next&quot;</span>]  <span class="comment"># url to get next if number of fetched post is not enough</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;            <span class="keywordflow">except</span>:</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;                url = <span class="keywordtype">None</span>  <span class="comment"># no more posts</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;            <span class="keywordflow">try</span>:  <span class="comment"># parse posts data</span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;                data = reponse[<span class="stringliteral">&quot;data&quot;</span>]  <span class="comment"># real data in response</span></div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;            <span class="keywordflow">except</span>:</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;                data = []  <span class="comment"># no more posts</span></div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            raw_posts += data</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        raw_posts = raw_posts[:number_to_fetch]  <span class="comment"># take exact number</span></div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        posts = []  <span class="comment"># list of parsed posts</span></div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keywordflow">for</span> raw_post <span class="keywordflow">in</span> raw_posts:</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            p = <a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html">FacebookPost</a>(raw_post)  <span class="comment"># parse post</span></div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            print(<span class="stringliteral">&quot;Parsing&quot;</span>, str(len(posts)) + <span class="stringliteral">&quot;-th Facebook post&quot;</span>, p.facebook_id)  <span class="comment"># debug info</span></div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            p.get_totals(self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a723a55e3dedece9b7800cd0aaf12acd7">api</a>)  <span class="comment"># get likes and comments count</span></div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;            posts.append(p)  <span class="comment"># append to parsed list</span></div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        <span class="keywordflow">return</span> posts</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a3e281206f9a7260b779e89357ee7d8f6">  149</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a3e281206f9a7260b779e89357ee7d8f6">download_page_posts</a>(self, page_id, min_number_to_fetch, output_file):</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="stringliteral">        :param page_id: str</span></div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="stringliteral">            ID of page to scrape</span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="stringliteral">        :param min_number_to_fetch: int</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="stringliteral">            Minimum number of posts to fetch</span></div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="stringliteral">        :param output_file: str</span></div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="stringliteral">            Path to output file to write data</span></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="stringliteral">        :return: void</span></div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="stringliteral">            Saves .csv file with posts data</span></div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        posts = self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a84bbc98341ead3cb11aebf0e0b5b32a5">get_latest_posts_of_page</a>(page_id, min_number_to_fetch)</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;        dicts = [p.to_dict() <span class="keywordflow">for</span> p <span class="keywordflow">in</span> posts]  <span class="comment"># get dictionaries</span></div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        utils.save_dicts_to_csv(</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;            dicts,</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;            output_file</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        )  <span class="comment"># save to .csv</span></div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html">  169</a></span>&#160;<span class="keyword">class </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html">FacebookPost</a>(object):</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    <span class="stringliteral">&quot;&quot;&quot; A standard Facebook post &quot;&quot;&quot;</span></div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a775d37bec71d912b2c80659706c1074b">  172</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a775d37bec71d912b2c80659706c1074b">__init__</a>(self, raw_json_api_response):</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;<span class="stringliteral">        :param raw_json_api_response: str in json format</span></div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="stringliteral">            Standard format coming out of the official API</span></div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        object.__init__(self)</div><div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a71eec66c7f775a8d6e36624147bbad1e">  179</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a71eec66c7f775a8d6e36624147bbad1e">raw_json</a> = raw_json_api_response</div><div class="line"><a name="l00180"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a417a5f89c1c55137044008ba8a5fc0ea">  180</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a417a5f89c1c55137044008ba8a5fc0ea">message</a> = <span class="keywordtype">None</span></div><div class="line"><a name="l00181"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#aadbfb0d5d8b22aed178142d3979d4d3e">  181</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#aadbfb0d5d8b22aed178142d3979d4d3e">time</a> = <span class="keywordtype">None</span></div><div class="line"><a name="l00182"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0f0005486a3b81f3e144054ae578c390">  182</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0f0005486a3b81f3e144054ae578c390">date</a> = <span class="keywordtype">None</span></div><div class="line"><a name="l00183"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a24e01ef48936fd95a03ae767af578070">  183</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a24e01ef48936fd95a03ae767af578070">facebook_id</a> = <span class="keywordtype">None</span></div><div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0800672e3ab337ed26d0ad0407ade903">  184</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0800672e3ab337ed26d0ad0407ade903">likes_count</a> = <span class="keywordtype">None</span></div><div class="line"><a name="l00185"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#abbf42b5b8da83db3444ad4edc9e3bc40">  185</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#abbf42b5b8da83db3444ad4edc9e3bc40">comments_count</a> = <span class="keywordtype">None</span></div><div class="line"><a name="l00186"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af8bd89a0ad99c511c7aa8aa87da852dd">  186</a></span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af8bd89a0ad99c511c7aa8aa87da852dd">shares_count</a> = <span class="keywordtype">None</span></div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af7e740b3209657f39229fedd47a134ed">parse</a>()  <span class="comment"># parse raw json</span></div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00190"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af7e740b3209657f39229fedd47a134ed">  190</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af7e740b3209657f39229fedd47a134ed">parse</a>(self):</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;<span class="stringliteral">        :return: void</span></div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="stringliteral">            Parses raw json response of API and set object&#39;s fields</span></div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;        <span class="keywordflow">try</span>:</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a417a5f89c1c55137044008ba8a5fc0ea">message</a> = str(self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a71eec66c7f775a8d6e36624147bbad1e">raw_json</a>[<span class="stringliteral">&quot;message&quot;</span>])</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;        <span class="keywordflow">except</span>:</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a417a5f89c1c55137044008ba8a5fc0ea">message</a> = str(self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a71eec66c7f775a8d6e36624147bbad1e">raw_json</a>[<span class="stringliteral">&quot;story&quot;</span>])  <span class="comment"># in case of a picture</span></div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;        raw_time = str(self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a71eec66c7f775a8d6e36624147bbad1e">raw_json</a>[<span class="stringliteral">&quot;created_time&quot;</span>]).split(<span class="stringliteral">&quot;+&quot;</span>)[0]  <span class="comment"># discard +0000 (CET)</span></div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;        raw_time = datetime.datetime.strptime(raw_time, <span class="stringliteral">&quot;%Y-%m-%dT%H:%M:%S&quot;</span>)  <span class="comment"># parse time to get datetime</span></div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#aadbfb0d5d8b22aed178142d3979d4d3e">time</a> = str(raw_time.time())</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0f0005486a3b81f3e144054ae578c390">date</a> = str(raw_time.date())</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;        self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a24e01ef48936fd95a03ae767af578070">facebook_id</a> = str(self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a71eec66c7f775a8d6e36624147bbad1e">raw_json</a>[<span class="stringliteral">&quot;id&quot;</span>])</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a437047c61683ad307ef6c62014910f3f">  208</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a437047c61683ad307ef6c62014910f3f">get_totals</a>(self, api_driver):</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;<span class="stringliteral">        :param api_driver: FacebookGraphApi</span></div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;<span class="stringliteral">            API driver to use</span></div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;<span class="stringliteral">        :return: void</span></div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;<span class="stringliteral">            Gets counts of likes and comments</span></div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;        urls = api_driver.get_post_summary_urls(self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a24e01ef48936fd95a03ae767af578070">facebook_id</a>)  <span class="comment"># get likes and comments urls</span></div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;        raw_likes_data = api_driver.parse_api_response(urls[<span class="stringliteral">&quot;likes&quot;</span>])  <span class="comment"># get raw data</span></div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;        raw_comments_data = api_driver.parse_api_response(urls[<span class="stringliteral">&quot;comments&quot;</span>])</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;        raw_shares_data = api_driver.parse_api_response(urls[<span class="stringliteral">&quot;shares&quot;</span>])</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;        <span class="keywordflow">try</span>:  <span class="comment"># parse raw data</span></div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0800672e3ab337ed26d0ad0407ade903">likes_count</a> = float(raw_likes_data[<span class="stringliteral">&quot;summary&quot;</span>][<span class="stringliteral">&quot;total_count&quot;</span>])</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        <span class="keywordflow">except</span>:</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0800672e3ab337ed26d0ad0407ade903">likes_count</a> = 0</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;        <span class="keywordflow">try</span>:</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#abbf42b5b8da83db3444ad4edc9e3bc40">comments_count</a> = float(raw_comments_data[<span class="stringliteral">&quot;summary&quot;</span>][<span class="stringliteral">&quot;total_count&quot;</span>])</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;        <span class="keywordflow">except</span>:</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#abbf42b5b8da83db3444ad4edc9e3bc40">comments_count</a> = 0</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;        <span class="keywordflow">try</span>:</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af8bd89a0ad99c511c7aa8aa87da852dd">shares_count</a> = float(raw_shares_data[<span class="stringliteral">&quot;shares&quot;</span>][<span class="stringliteral">&quot;count&quot;</span>])</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;        <span class="keywordflow">except</span>:</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af8bd89a0ad99c511c7aa8aa87da852dd">shares_count</a> = 0</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;        print(</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;            <span class="stringliteral">&quot;\tParsing post&quot;</span>, self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a417a5f89c1c55137044008ba8a5fc0ea">message</a>[:16], <span class="stringliteral">&quot;(&quot;</span>, self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a24e01ef48936fd95a03ae767af578070">facebook_id</a>, <span class="stringliteral">&quot;)&quot;</span>,</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;            <span class="stringliteral">&quot;at&quot;</span>, self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#aadbfb0d5d8b22aed178142d3979d4d3e">time</a>, <span class="stringliteral">&quot;on&quot;</span>, self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0f0005486a3b81f3e144054ae578c390">date</a>,</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0800672e3ab337ed26d0ad0407ade903">likes_count</a>, <span class="stringliteral">&quot;***  &quot;</span>,</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#abbf42b5b8da83db3444ad4edc9e3bc40">comments_count</a>, <span class="stringliteral">&quot;-.-  &quot;</span>,</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;            self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af8bd89a0ad99c511c7aa8aa87da852dd">shares_count</a>, <span class="stringliteral">&quot;|-&quot;</span></div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;        )  <span class="comment"># debug info</span></div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div><div class="line"><a name="l00244"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0740c608dbe1f95191ecb8375c7cddb9">  244</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0740c608dbe1f95191ecb8375c7cddb9">to_dict</a>(self):</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;<span class="stringliteral">        :return: dict</span></div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;<span class="stringliteral">            Dictionary with keys (obj fields) and values (obj values)</span></div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;        <span class="keywordflow">return</span> {</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;            <span class="stringliteral">&quot;message&quot;</span>: self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a417a5f89c1c55137044008ba8a5fc0ea">message</a>,</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;            <span class="stringliteral">&quot;time&quot;</span>: str(self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#aadbfb0d5d8b22aed178142d3979d4d3e">time</a>),</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;            <span class="stringliteral">&quot;date&quot;</span>: str(self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0f0005486a3b81f3e144054ae578c390">date</a>),</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;            <span class="stringliteral">&quot;id&quot;</span>: self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a24e01ef48936fd95a03ae767af578070">facebook_id</a>,</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;            <span class="stringliteral">&quot;likes&quot;</span>: self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0800672e3ab337ed26d0ad0407ade903">likes_count</a>,</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;            <span class="stringliteral">&quot;comments&quot;</span>: self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#abbf42b5b8da83db3444ad4edc9e3bc40">comments_count</a>,</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;            <span class="stringliteral">&quot;shares&quot;</span>: self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af8bd89a0ad99c511c7aa8aa87da852dd">shares_count</a></div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;        }</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;</div><div class="line"><a name="l00260"></a><span class="lineno"><a class="line" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a65627d65b585eed8854f12621855e89c">  260</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a65627d65b585eed8854f12621855e89c">to_json</a>(self):</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;        <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;<span class="stringliteral">        :return: json object</span></div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;<span class="stringliteral">            A json representation of this object</span></div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;<span class="stringliteral">        &quot;&quot;&quot;</span></div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;        d = self.<a class="code" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0740c608dbe1f95191ecb8375c7cddb9">to_dict</a>()</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;        <span class="keywordflow">for</span> k <span class="keywordflow">in</span> d.keys():</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;            d[k] = str(d[k])  <span class="comment"># convert to string to be json serializable</span></div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;        <span class="keywordflow">return</span> json.dumps(d)</div><div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api_html_ab365864c35ba403da5cef6b985da164b"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#ab365864c35ba403da5cef6b985da164b">pyspottedunipd.fb.models.FacebookGraphApi.get_page_posts_url</a></div><div class="ttdeci">def get_page_posts_url(self, page_id)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00069">models.py:69</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_af8bd89a0ad99c511c7aa8aa87da852dd"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af8bd89a0ad99c511c7aa8aa87da852dd">pyspottedunipd.fb.models.FacebookPost.shares_count</a></div><div class="ttdeci">shares_count</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00186">models.py:186</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_abbf42b5b8da83db3444ad4edc9e3bc40"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#abbf42b5b8da83db3444ad4edc9e3bc40">pyspottedunipd.fb.models.FacebookPost.comments_count</a></div><div class="ttdeci">comments_count</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00185">models.py:185</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api_html_a9901b00a439222ccf96fbf91d27d4a33"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9901b00a439222ccf96fbf91d27d4a33">pyspottedunipd.fb.models.FacebookGraphApi.get_api_url</a></div><div class="ttdeci">def get_api_url(version=&quot;2.8&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00037">models.py:37</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_html_a95dc6383ba048c6404eaf5358a11b57e"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a95dc6383ba048c6404eaf5358a11b57e">pyspottedunipd.fb.models.FacebookBot.token</a></div><div class="ttdeci">token</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00107">models.py:107</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_a0f0005486a3b81f3e144054ae578c390"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0f0005486a3b81f3e144054ae578c390">pyspottedunipd.fb.models.FacebookPost.date</a></div><div class="ttdeci">date</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00182">models.py:182</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_a0800672e3ab337ed26d0ad0407ade903"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0800672e3ab337ed26d0ad0407ade903">pyspottedunipd.fb.models.FacebookPost.likes_count</a></div><div class="ttdeci">likes_count</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00184">models.py:184</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_a24e01ef48936fd95a03ae767af578070"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a24e01ef48936fd95a03ae767af578070">pyspottedunipd.fb.models.FacebookPost.facebook_id</a></div><div class="ttdeci">facebook_id</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00183">models.py:183</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_a71eec66c7f775a8d6e36624147bbad1e"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a71eec66c7f775a8d6e36624147bbad1e">pyspottedunipd.fb.models.FacebookPost.raw_json</a></div><div class="ttdeci">raw_json</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00179">models.py:179</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_a437047c61683ad307ef6c62014910f3f"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a437047c61683ad307ef6c62014910f3f">pyspottedunipd.fb.models.FacebookPost.get_totals</a></div><div class="ttdeci">def get_totals(self, api_driver)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00208">models.py:208</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api_html_a77f59218ed58538bae01e62e6b169a7b"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a77f59218ed58538bae01e62e6b169a7b">pyspottedunipd.fb.models.FacebookGraphApi.token</a></div><div class="ttdeci">token</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00034">models.py:34</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_a775d37bec71d912b2c80659706c1074b"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a775d37bec71d912b2c80659706c1074b">pyspottedunipd.fb.models.FacebookPost.__init__</a></div><div class="ttdeci">def __init__(self, raw_json_api_response)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00172">models.py:172</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_aadbfb0d5d8b22aed178142d3979d4d3e"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#aadbfb0d5d8b22aed178142d3979d4d3e">pyspottedunipd.fb.models.FacebookPost.time</a></div><div class="ttdeci">time</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00181">models.py:181</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api_html_a9932ec50b92cd5c123cc73bd38c1584b"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a9932ec50b92cd5c123cc73bd38c1584b">pyspottedunipd.fb.models.FacebookGraphApi.parse_api_response</a></div><div class="ttdeci">def parse_api_response(url)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00048">models.py:48</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_html_a84bbc98341ead3cb11aebf0e0b5b32a5"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a84bbc98341ead3cb11aebf0e0b5b32a5">pyspottedunipd.fb.models.FacebookBot.get_latest_posts_of_page</a></div><div class="ttdeci">def get_latest_posts_of_page(self, page_id, number_to_fetch)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00111">models.py:111</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_a65627d65b585eed8854f12621855e89c"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a65627d65b585eed8854f12621855e89c">pyspottedunipd.fb.models.FacebookPost.to_json</a></div><div class="ttdeci">def to_json(self)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00260">models.py:260</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api_html_a6627a7dd6eec32651e75798ab9e5e55b"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a6627a7dd6eec32651e75798ab9e5e55b">pyspottedunipd.fb.models.FacebookGraphApi.__init__</a></div><div class="ttdeci">def __init__(self, token)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00031">models.py:31</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_a417a5f89c1c55137044008ba8a5fc0ea"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a417a5f89c1c55137044008ba8a5fc0ea">pyspottedunipd.fb.models.FacebookPost.message</a></div><div class="ttdeci">message</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00180">models.py:180</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api_html_a32ae10d5a9d99a53f4b7b5da877d0446"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#a32ae10d5a9d99a53f4b7b5da877d0446">pyspottedunipd.fb.models.FacebookGraphApi.get_api_driver</a></div><div class="ttdeci">def get_api_driver(self, version=&quot;2.7&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00059">models.py:59</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_a0740c608dbe1f95191ecb8375c7cddb9"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#a0740c608dbe1f95191ecb8375c7cddb9">pyspottedunipd.fb.models.FacebookPost.to_dict</a></div><div class="ttdeci">def to_dict(self)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00244">models.py:244</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_html_a3e281206f9a7260b779e89357ee7d8f6"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a3e281206f9a7260b779e89357ee7d8f6">pyspottedunipd.fb.models.FacebookBot.download_page_posts</a></div><div class="ttdeci">def download_page_posts(self, page_id, min_number_to_fetch, output_file)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00149">models.py:149</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_html_a3857b4ed1eab23cf1005665d92cf0448"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a3857b4ed1eab23cf1005665d92cf0448">pyspottedunipd.fb.models.FacebookBot.graph</a></div><div class="ttdeci">graph</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00109">models.py:109</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api_html_aa3458c477bb0c0be988eb3a60a2bac88"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html#aa3458c477bb0c0be988eb3a60a2bac88">pyspottedunipd.fb.models.FacebookGraphApi.get_post_summary_urls</a></div><div class="ttdeci">def get_post_summary_urls(self, post_id)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00079">models.py:79</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html_af7e740b3209657f39229fedd47a134ed"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html#af7e740b3209657f39229fedd47a134ed">pyspottedunipd.fb.models.FacebookPost.parse</a></div><div class="ttdeci">def parse(self)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00190">models.py:190</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_html_a723a55e3dedece9b7800cd0aaf12acd7"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a723a55e3dedece9b7800cd0aaf12acd7">pyspottedunipd.fb.models.FacebookBot.api</a></div><div class="ttdeci">api</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00108">models.py:108</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post_html"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_post.html">pyspottedunipd.fb.models.FacebookPost</a></div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00169">models.py:169</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api_html"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_graph_api.html">pyspottedunipd.fb.models.FacebookGraphApi</a></div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00028">models.py:28</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_html_a9aa8f06dfce6734f430e70477b4c6e8b"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a9aa8f06dfce6734f430e70477b4c6e8b">pyspottedunipd.fb.models.FacebookBot.__init__</a></div><div class="ttdeci">def __init__(self, token)</div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00100">models.py:100</a></div></div>
<div class="ttc" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_html"><div class="ttname"><a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html">pyspottedunipd.fb.models.FacebookBot</a></div><div class="ttdef"><b>Definition:</b> <a href="fb_2models_8py_source.html#l00097">models.py:97</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_cadfa51a49c9afcc310fa35ae151bb00.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="dir_64ce89806991622a283f23c42d471423.html">fb</a></li><li class="navelem"><a class="el" href="fb_2models_8py.html">models.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
